Missing Files?

2 views
Skip to first unread message

DJ

unread,
May 28, 2009, 1:45:40 PM5/28/09
to deprec - deployment recipes for capistrano
Greetings, new deprec user here. I have been following the
instructions on github, loving watching the installations go by
without having to lift a finger :)

But.. I seem to be getting some odd errors trying to start Apache:

executing "sudo -p 'sudo password: ' /etc/init.d/apache2 force-reload"
servers: ["sandbox.example.com"]
[sandbox.example.com] executing command
*** [err :: sandbox.example.com] apache2: Syntax error on line 185 of /
etc/apache2/apache2.conf: Syntax error on line 3 of /etc/apache2/mods-
enabled/passenger.load: Cannot load /opt/ruby-
enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/passenger-2.1.3/ext/
apache2/mod_passenger.so into server: /opt/ruby-
enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/passenger-2.1.3/ext/
apache2/mod_passenger.so: cannot open shared object file: No such file
or directory
** [out :: sandbox.example.com] ...fail!

Any ideas? The server is a fresh Ubuntu Hardy install.

Many thanks.
Dave

DJ

unread,
May 28, 2009, 4:20:46 PM5/28/09
to deprec - deployment recipes for capistrano
Well,

I managed to figure this out. Doh, it was pointing to the wrong
(nonexistent) version of Passenger.

Greg Fairbrother

unread,
May 28, 2009, 5:53:46 PM5/28/09
to deprec...@googlegroups.com

On 29/05/2009, at 6:20 AM, DJ wrote:

> I managed to figure this out. Doh, it was pointing to the wrong
> (nonexistent) version of Passenger.


I was having a crack at automating the passenger version when using
ree the other night, figured out the directory where the latest
version of passenger still, but still have to find a nice solution to
automatically finding the tagged release version of passenger to
install it.

Also I noticed in the passenger apache conf when using ree has this:

PassengerRuby /usr/local/bin/ruby

I think it should point to the ree version of ruby like this:

PassengerRuby /opt/ruby-enterprise-x.x.x-xxxxxxxx/bin/ruby

if anyone knows a reason why PassengerRuby should point to the os
version of ruby and not ree please let me know.

Ta

Greg

--
Greg Fairbrother
p 07 5656 9696 m 0421 006618

Reply all
Reply to author
Forward
0 new messages